/************************************************************************/
/*      $Id: d70revbyte.hpp,v 1.1 2005/05/10 20:18:03 joman Exp joman $    */
/*                                                                      */
/*      Include file name:   d70revbyte.hpp                             */
/*                                                                      */
/************************************************************************/
/*      Revisions:                                                      */
/*                                                                      */
/*      Version 0.01 - Tue May 10 14:47:38 EDT 2005:                    */
/*              First coding.                                           */
/************************************************************************/
//----------------------------------------------------------------------//
//                                                                      //
//   File:    d70revbyte.hpp                                            //
//                                                                      //
//   Desc:    Function to reverse a bit pattern.                        //
//                                                                      //
//----------------------------------------------------------------------//

extern int reverse_byte_order;

extern unsigned char _reversed_bytes_1[],
                     _reversed_bytes_2[],
                     _reversed_bytes_4[];

inline int reverse( int i, int nbits )
{
   if( nbits == 1 ) return _reversed_bytes_1[i&255];
   if( nbits == 2 ) return _reversed_bytes_2[i&255];
   if( nbits == 4 ) return _reversed_bytes_4[i&255];
   return i;
}

extern unsigned short rev_word( unsigned short us_val );
extern unsigned long rev_dword( unsigned long ul_val );
extern int Get16u(void * Short);
extern int Get32s(void * Long);
extern unsigned Get32u(void * Long);
